# Mathématique modulaire

- Soient \\(a, b \in \mathbb{Z}\\) avec \\(a \neq 0\\)
    - On dit que \\( a \\) **divise** \\( b \\) noté \\( a | b \\)
        - ssi \\( \exists c \in \mathbb{Z} b=ac \\)
        - On dit également que b est un multiple de a

## Algorithme de division d'euclide

- Soient \\( a \in \mathbb{Z} \text{ et } d\in \mathbb{N} _ 0 \\)
    - \\( \exists q, r \in \mathbb{Z} \quad 0 \leq r < d \quad a = dq + r\\)
\mathbb{R}

- Soient \\( a, b \in \mathbb{Z} \quad n \in \mathbb{N} _ 0  \\)
    - On dit que \\( a \\) est **congru** à \\( b \\) modulo n
        - ssi \\( n \vert (a - b) \\)
            - On note \\( a \equiv_n b \\) 
